<?php
//about theme info
add_action( 'admin_menu', 'architect_architecture_gettingstarted' );
function architect_architecture_gettingstarted() {
	add_theme_page( esc_html__('About Architect Architecture', 'architect-architecture'), esc_html__('About Architect Architecture', 'architect-architecture'), 'edit_theme_options', 'architect_architecture_guide', 'architect_architecture_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function architect_architecture_admin_theme_style() {
	wp_enqueue_style('architect-architecture-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('architect-architecture-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'architect_architecture_admin_theme_style');

//guidline for about theme
function architect_architecture_mostrar_guide() { 
	//custom function about theme customizer
	$architect_architecture_return = add_query_arg( array()) ;
	$architect_architecture_theme = wp_get_theme( 'architect-architecture' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to Architect Architecture', 'architect-architecture' ); ?> <span class="version"><?php esc_html_e( 'Version', 'architect-architecture' ); ?>: <?php echo esc_html($architect_architecture_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','architect-architecture'); ?></p>
    </div>

    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="architect_architecture_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'architect-architecture' ); ?></button>
			<button class="tablinks" onclick="architect_architecture_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'architect-architecture' ); ?></button>
		</div>

		<?php
			$architect_architecture_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$architect_architecture_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = Architect_Architecture_Plugin_Activation_Settings::get_instance();
				$architect_architecture_actions = $plugin_ins->recommended_actions;
				?>
				<div class="architect-architecture-recommended-plugins">
				    <div class="architect-architecture-action-list">
				        <?php if ($architect_architecture_actions): foreach ($architect_architecture_actions as $key => $architect_architecture_actionValue): ?>
				                <div class="architect-architecture-action" id="<?php echo esc_attr($architect_architecture_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($architect_architecture_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($architect_architecture_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($architect_architecture_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','architect-architecture'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($architect_architecture_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'architect-architecture' ); ?></h3>
				<hr class="h3hr">				
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'architect-architecture' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'architect-architecture' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( ARCHITECT_ARCHITECTURE_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'architect-architecture' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'architect-architecture'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'architect-architecture'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'architect-architecture'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'architect-architecture'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'architect-architecture'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( ARCHITECT_ARCHITECTURE_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'architect-architecture'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'architect-architecture'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'architect-architecture'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( ARCHITECT_ARCHITECTURE_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'architect-architecture'); ?></a>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','architect-architecture'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','architect-architecture'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','architect-architecture'); ?></span><?php esc_html_e(' Go to ','architect-architecture'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','architect-architecture'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','architect-architecture'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','architect-architecture'); ?></span><?php esc_html_e(' Go to ','architect-architecture'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','architect-architecture'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','architect-architecture'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','architect-architecture'); ?> <a class="doc-links" href="<?php echo esc_url( ARCHITECT_ARCHITECTURE_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','architect-architecture'); ?></a></p>
			  	</div>
			</div>
		</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Architect_Architecture_Plugin_Activation_Settings::get_instance();
			$architect_architecture_actions = $plugin_ins->recommended_actions;
			?>
				<div class="architect-architecture-recommended-plugins">
				    <div class="architect-architecture-action-list">
				        <?php if ($architect_architecture_actions): foreach ($architect_architecture_actions as $key => $architect_architecture_actionValue): ?>
				                <div class="architect-architecture-action" id="<?php echo esc_attr($architect_architecture_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($architect_architecture_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($architect_architecture_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($architect_architecture_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'architect-architecture' ); ?></h3>
				<hr class="h3hr">
				<div class="architect-architecture-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','architect-architecture'); ?></a>
			    </div>
			<?php } ?>
		</div>

	</div>
</div>

<?php } ?>